local inventory = require "src.inventory"

local item = require "src.item"

local inv = inventory.new(6,4)

inv:addItem(item.new("Thing","img/thing.png","It's a thing. Yeah."))
inv:addItem(item.new("Another Thing","img/thing2.png","It's another thing. It has colors."))
inv:addItem(item.new("Gold Nugget","img/gold nugget.png","I found it lying on the ground. I must be lucky - you can sell one of these for 50 coins..."))

local inventoryGui = require "src.inventoryGui"

inventoryGui:setInventory(inv,50,50)

function love.update()
  inventoryGui:update()
end

function love.mousepressed(x,y,b)
  inventoryGui:mousepressed(x,y,b)
end

function love.draw()
  inventoryGui:draw()
end